OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
DrawTileSprites Struct Reference

Ground palette sprite of a tile, together with its sprite layout. More...

`#include <sprite.h>`

Inheritance diagram for DrawTileSprites:

## Data Fields
PalSpriteID | ground
| Palette and sprite for the ground.
const DrawTileSeqStruct * | seq
| Array of child sprites. Terminated with a terminator entry.

## Detailed Description

Ground palette sprite of a tile, together with its sprite layout.

This struct is used for static sprite layouts in the code. For allocated ones from NewGRF see NewGRFSpriteLayout.

Definition at line 60 of file sprite.h.

The documentation for this struct was generated from the following file:

- src/sprite.h